#
# spec file for package openstack-ironic-python-agent
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define version_unconverted 3.7.0.dev5

Name:           openstack-ironic-python-agent
Version:        3.7.0~dev5
Release:        1.1
Summary:        Ironic Python Agent Ramdisk
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://docs.openstack.org/ironic-python-agent/
Source0:        http://tarballs.openstack.org/ironic-python-agent/ironic-python-agent-master.tar.gz
Source1:        openstack-ironic-python-agent.service
BuildRequires:  python-Pint >= 0.5
BuildRequires:  python-WSME >= 0.8
BuildRequires:  python-devel
BuildRequires:  python-eventlet >= 0.18.2
BuildRequires:  python-ironic-lib >= 2.5.0
BuildRequires:  python-iso8601 >= 0.1.11
BuildRequires:  python-netaddr >= 0.7.13
BuildRequires:  python-netifaces >= 0.10.4
BuildRequires:  python-oslo.concurrency >= 3.8.0
BuildRequires:  python-oslo.config >= 4.0.0
BuildRequires:  python-oslo.log >= 3.22.0
BuildRequires:  python-oslo.serialization >= 1.10.0
BuildRequires:  python2-oslo.service
BuildRequires:  python-oslo.utils >= 3.20.0
BuildRequires:  python-pbr >= 2.0.0
BuildRequires:  python-pecan >= 1.0.0
BuildRequires:  python-psutil >= 3.2.2
BuildRequires:  python-pyudev
BuildRequires:  python-requests >= 2.14.2
BuildRequires:  python-rtslib-fb >= 2.1.43
BuildRequires:  python-setuptools
BuildRequires:  python-six >= 1.9.0
BuildRequires:  python-stevedore >= 1.20.0
# test requirements
BuildRequires:  python-Sphinx >= 1.6.2
BuildRequires:  python-mock >= 2.0
BuildRequires:  python-openstackdocstheme >= 1.16.0
BuildRequires:  python-os-testr >= 0.8.0
BuildRequires:  python-oslotest >= 1.10.0
BuildRequires:  python-python-subunit >= 0.0.18
BuildRequires:  python-reno >= 1.8.0
BuildRequires:  python-sphinxcontrib-pecanwsme >= 0.8
BuildRequires:  python-testtools >= 1.4.0
BuildRequires:  systemd-rpm-macros
%{?systemd_requires}
Requires:       python-Pint >= 0.5
Requires:       python-WSME >= 0.8.0
Requires:       python-eventlet >= 0.18.2
Requires:       python-ironic-lib >= 2.16.0
Requires:       python-iso8601 >= 0.1.11
Requires:       python-netaddr >= 0.7.18
Requires:       python-netifaces >= 0.10.4
Requires:       python-oslo.concurrency >= 3.26.0
Requires:       python-oslo.config >= 5.2.0
Requires:       python-oslo.log >= 3.36.0
Requires:       python-oslo.serialization >= 2.18.0
Requires:       python2-oslo.service
Requires:       python-oslo.utils >= 3.33.0
Requires:       python-pbr >= 2.0.0
Requires:       python-pecan >= 1.0.0
Requires:       python-psutil >= 3.2.2
Requires:       python-pyudev >= 0.16.1
Requires:       python-requests >= 2.14.2
Requires:       python-rtslib-fb >= 2.1.65
Requires:       python-six >= 1.10.0
Requires:       python-stevedore >= 1.20.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Ironic Python Agent Ramdisk.

%prep
%setup -q -n ironic-python-agent-%{version_unconverted}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
# systemd service file
install -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/openstack-ironic-python-agent.service

%pre
%service_add_pre openstack-ironic-python-agent.service

%post
%service_add_post openstack-ironic-python-agent.service

%preun
%service_del_preun openstack-ironic-python-agent.service

%postun
%service_del_postun openstack-ironic-python-agent.service

%check
#python setup.py test

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README.rst
%license LICENSE 
%{_bindir}/ironic-python-agent
%{_unitdir}/openstack-ironic-python-agent.service
%{python_sitelib}/*

%changelog
* Wed Mar 27 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.7.0.dev5:
  * Replace openstack.org git:// URLs with https://
* Sat Mar 23 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.7.0.dev3:
  * Add 'interface' to get\_clean\_steps docstring
* Fri Mar 22 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.7.0.dev2:
  * Add versions to release notes series
  * Update master for stable/stein
  3.6.0
* Wed Mar 20 2019 opensuse-packaging@opensuse.org
- Update to version ironic-python-agent-3.5.1.dev37:
  * Update release notes
* Wed Mar 13 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev36:
  * Correct clean\_build command according to Makefile
* Sat Mar  9 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev35:
  * Update python-hardware requirement for py3
* Wed Mar  6 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev33:
  * Replace ZUUL\_REFNAME for zuul.branch
* Tue Mar  5 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev32:
  * Run the imagebuild post playbook on all hosts
* Sat Mar  2 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev31:
  * Update path for publish jobs
  * Allow image checksum to be a URL
* Fri Feb 22 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev29:
  * Move to zuulv3
* Thu Feb 14 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev27:
  * Add secondary sorting by name when guessing root disk
* Sat Feb  9 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev25:
  * Building tinyipa with python3 by default
  * Deprecate CoreOS ramdisk support
* Thu Feb  7 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev21:
  * Build tinyipa with python3
* Wed Feb  6 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev19:
  * Making ironic-python-agent able to stop with python 3.x
* Fri Feb  1 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev18:
  * Build tinyipa with tinycore 8.x
* Wed Jan 23 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev17:
  * Moving publish jobs to zuulv3
* Mon Jan 21 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev15:
  * Fix a regression in generate\_upper\_constraints.sh
* Tue Jan 15 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev14:
  * Recover CI run detection in imagebuild
  * Replacing the HTTP protocal with HTTPS
* Wed Jan  9 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev11:
  * Remove dsvm from zuulv3 jobs
* Tue Jan  8 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev9:
  * update the tox mini version
* Sat Jan  5 2019 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev8:
  * Attempt to read the partition table after writing an image
* Sat Dec 29 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev7:
  * Add source code link for the project to README
* Fri Dec 28 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev6:
  * Update author email address
* Thu Dec 20 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev4:
  * Change HTTP links to HTTPS
* Sun Dec  9 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev2:
  * Update http link to https
* Fri Dec  7 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.5.1.dev1:
  3.5.0
  * add coverage job
* Wed Nov 28 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.4.1.dev12:
  * spelling error
  * Update min tox version to 2.0
* Tue Nov 27 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.4.1.dev8:
  * zuul-ify primary IPA jobs
  * Update link addresses
  * Allow erasing metadata from disk partitions
* Tue Nov 13 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.4.1.dev3:
  * Update min tox version to 2.0
  3.4.0
  * Fix multi-device behavior
* Sat Oct 27 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.3.1.dev26:
  * Allow streaming raw partition images
* Thu Oct 25 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.3.1.dev24:
  * Follow up to parallel disk erasure
* Tue Oct 23 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.3.1.dev23:
  * Parallel erase disk devices
  * Allow using ironic-lib from source when building tinyipa
* Sun Oct 21 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.3.1.dev19:
  * Fix BMC IP address detection on CoreOS images
  * Enhanced checksum support
* Thu Oct 18 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.3.1.dev16:
  * Add missing dependencies to CoreOS IPA docker image
* Tue Oct 16 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.3.1.dev15:
  * Raise udevadm settle timeout from 5 to 20 seconds
* Fri Oct 12 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.3.1.dev14:
  * Mark CoreOS check jobs non-voting
  * Change nic driver to e1000 for CoreOS jobs
* Sat Sep 29 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.3.1.dev11:
  * Correct headings in README.rst
* Mon Sep 24 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.3.1.dev10:
  * add python 3.6 unit test job
* Sat Sep 22 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.3.1.dev8:
  * Replace assertEqual(True/False, expr) with assertTrue/assertFalse in tests
* Thu Aug 23 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.3.1.dev7:
  * switch documentation job to new PTI
* Wed Aug 22 2018 nicolas.bock@suse.com
- Fix linter warnings about license
* Tue Aug 21 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.3.1.dev5:
  * import zuul job settings from project-config
  * Clear GPT and MBR headers with dd to avoid sgdisk CRC errors
* Wed Aug 15 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.3.1.dev1:
  * Update reno for stable/rocky
  3.3.0
* Sat Aug  4 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev65:
  * fall back to PARTUUID if UUID not found
* Fri Aug  3 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev63:
  * Collect IPv6 address during introspection
* Thu Aug  2 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev61:
  * Install grub to PReP partition when prep\_boot\_part\_uuid is provided
* Sat Jul 28 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev59:
  * fix uname mock arguments for get-pip.py
* Sat Jul 14 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev57:
  * Remove testrepository
* Tue Jul  3 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev56:
  * Switch to using stestr
* Sat Jun 30 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev54:
  * Provide knob to disable ata secure erase
  * Refuse secure erase if ATA command does not work
  * Reduce CoreOS CPU count to 1
* Fri Jun 29 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev49:
  * Enable Auto VM engine for CoreOS CI jobs
* Thu Jun 28 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev48:
  * Cleanup CI jobs for IPA
* Wed Jun 27 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev46:
  * Switch from sourceforge to github for ipmitool
* Mon Jun 25 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev45:
  * Try to unlock failed device before proceeding
* Tue Jun 19 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev43:
  * fix tox python3 overrides
* Fri Jun  1 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev42:
  * Add release notes link to README
* Tue May 29 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev41:
  * Add min/max values to integer config options
* Sat May 26 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev39:
  * Add a release note for secure erase changes
  * write byte objects when using os.write
* Sat May 19 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev36:
  * Fix for fatal error when GPT was used and only MBR was cleaned
* Fri May 18 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev34:
  * rework ATA secure erase
* Thu May 17 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev32:
  * Rescue bug: tinyipa fails to acquire IP in multitenant env
* Mon May 14 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev31:
  * Do not run functional (API) tests in the CI
* Sat May 12 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev29:
  * Fix gate and bump CoreOS version to latest stable
* Thu May 10 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev27:
  * Gate fix: Cap hacking to avoid gate failure
* Tue Apr 24 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev26:
  * Stop using slave\_scripts/install-distro-packages.sh
  * fix lower constraints and uncap eventlet
* Thu Apr 12 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev22:
  * flake8: Add W503 to ignore list as invalid
* Mon Apr  2 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev21:
  * Change launchpad to StoryBoard
  * Updated from global requirements
  * GenericHardwareManager: get mac address using netifaces
* Thu Mar 29 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev15:
  * add lower-constraints job
* Fri Mar 23 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev14:
  * Switch the CI to hardware types and clean up playbooks
* Sat Mar 17 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev12:
  * Updated from global requirements
* Thu Mar 15 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev11:
  * Updated from global requirements
  * change python-libguestfs to python-guestfs for ubuntu
* Wed Mar 14 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev7:
  * mlnx hardware\_manager: get mac address using netifaces
  * Updated from global requirements
* Tue Mar 13 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev4:
  * Updated from global requirements
* Fri Feb 16 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev3:
  * Follow-up patch for documentation of rescue mode
* Tue Feb 13 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.2.1.dev1:
  * Update reno for stable/queens
  3.2.0
* Thu Feb  8 2018 cloud-devel@suse.de
- Update to version ironic-python-agent-3.1.1.dev26:
  * Add documentation for rescue mode
  * When ouputting to /dev/null should open in write mode
  * Replace use of functools.wraps() with six.wraps()
  * Adds a releasenote for DHCP support for TinyIPA
  * Follow-up patch for rescue extension for CoreOS
  * Use lshw in place of dmidecode for the default hardware manager
  * Zuul: Remove project name
  * Execute error in \_detect\_cna\_card
  * Use the 'ironic' queue for the gate
  * Replace curly quotes with straight quotes
  * Updated from global requirements
  * Rescue extension for TinyIPA with DHCP network
* Tue Jan 23 2018 tbechtold@suse.com
- Initial packaging
